package dev.fyloz.trial.colorrecipesexplorer.dao;

import dev.fyloz.trial.colorrecipesexplorer.core.model.Material;
import dev.fyloz.trial.colorrecipesexplorer.core.model.MixType;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.stereotype.Repository;

import java.util.Optional;

@Repository
public interface MixTypeDao extends JpaRepository<MixType, Integer> {
    Optional<MixType> findByTypeName(String typeName);

    Optional<MixType> findByMaterial(Material material);
}
