# v1.2.0 (Imprimante P-touch)
### Corrections
* Correction d'un bug qui empêchait la suppression des mélanges.
* Correction d'un bug qui empêche les boutons supprimer de fonctionner.
* Correction d'un bug qui permettait d'envoyer les formulaires demandant des mots de passe sans donner un mot de passe valide.
* Correction d'une désynchronisation entre le nom des mélanges et leurs produits internes.
* Amélioration du style du site.
* Transition des modèles vers Lombok.

### Ajouts
* +++ Ajout du support pour l'imprimante P-touch.
* Les produits dans l'inventaire sont maintenant ordonnés alphabétiquement.
* Changement de l'ordre d'un mélange.
* Ajout d'un type de produit aux mélanges.
* Ajout de jQuery, début de la transition.

# v1.1.3
### Corrections
* Correction de fautes de syntaxe.
* Correction d'un bug qui empêchait d'utiliser une recette.

### Ajouts
* Traduction complète de l'application.
* Amélioration des recherches.
* Ajout d'une confirmation avant l'utilisation d'un mélange ou d'une recette.
* Le nom des mélanges peut maintenant être modifié.
* Le bouton retour envoie maintenant vers la dernière page visitée.

# v1.1.2
### Corrections
* Amélioration du style du site.
* Correction d'un bug qui permettait de supprimer des images sans mot de passe.

### Ajouts
* Il n'est plus possible de modifier la quantité des produits utilisant les pourcentages dans l'explorateur de recette.
* La quantité initiale d'un produit peut maintenant être cachée dans l'explorateur de recette. 
* La quantité minimum d'un produit dans un mélange est maintenant de 0.001.
* La quantité de chaque produit d'un mélange peut maintenant être calculée depuis la quantitée totale du mélange.
* Ajout de boîtes de notification améliorées.

# v1.1.1
### Corrections
* Désactivation de l'autocomplétion dans les étapes des recettes (permet d'éviter un bug qui affiche les suggestion par dessus toutes les étapes sur Edge)
* Correction d'un bug qui permettait d'envoyer les formulaires demandant des mots de passe sans donner un mot de passe valide.
* Amélioration des contrôlleurs et du service des mélanges.
* Correction d'un bug avec la création des mélanges.

### Ajouts
* L'onglet se ferme automatiquement lorsqu'un utilisateur tente d'accéder à un fichier SIMDUT inexistant.
* Meilleure sélection des produits dans l'éditeur de mélange.
* Retravail de l'affichage de la plupart des tables, les rendant moins chargées.
* Retravail de l'affichage des étapes et des images dans l'explorateur et l'éditeur de recette.
* Ajout de la page de l'historique des mises à jour.
* Ajout de la journalisation.

### Dépendances
* Ajout de Lombok
